/*
 * File: CountingIsFun.java
 * ================================================================
 * A program that shows off how we can use counters.
 */
import acm.program.*;

public class CountingIsFun extends ConsoleProgram {
	public void run() {
		/* How much fun?  Size-24 bold font fun! */
		setFont("DejaVuSerif-BOLD-24");
		
		Counter c1 = new Counter(9001);
		Counter c2 = new Counter(137);
		println("Counter 1 reads " + c1);
		println("Counter 2 reads " + c2);
		
		c1.increment();
		c2.increment();
	
		println("Counter 1 reads " + c1);
		println("Counter 2 reads " + c2);
	}
}
