/**
 * A class representing a freshman
 */
public class Frosh extends Student {
	/* What dorm our frosh is staying in. */
	private String dormName;
	
	/**
	 * Constructs a new Frosh with the given name, ID number,
	 * and dorm.
	 *
	 * @param name The name of this Frosh.
	 * @param id The student's ID number.
	 * @param dorm The student's dorm.
	 */
	public Frosh(String name, int id, String dorm) {
		/* Pass the name and ID to the student constructor. */
		super(name, id);
		
		dormName = dorm;
	}
	
	/**
	 * Returns the frosh's dorm name.
	 *
	 * @return The name of the frosh's dorm.
	 */
	public String getDorm() {
		return dormName;
	}
}
